
Redmine - Defect #8611

rake/rdoctask is deprecated

2011-06-15 04:20 - bo ye

Status: Closed Start date: 2011-06-15

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Gems support Estimated time: 0.00 hour

Target version: 1.3.0   

Resolution: Fixed Affected version: 1.2.0

Description

whenever I raked something(like, rake db:migrate), I got this warning:

rake/rdoctask is deprecated.  Use rdoc/task instead (in RDoc 2.4.2+)

WARNING: 'task :t, arg, :needs => [deps]' is deprecated.  Please use 'task :t, [

args] => [deps]' instead.

    at D:/RubyOnRails/projects/redmine/lib/tasks/email.rake:170

 it's a minor problem for now, just to report it.

my versions:

ruby 1.8.7 (2011-02-18 patchlevel 334) [i386-mingw32]

LOCAL GEMS ***

actionmailer (2.3.11)

actionpack (2.3.11)

activerecord (2.3.11)

activeresource (2.3.11)

activesupport (2.3.11)

cgi_multipart_eof_fix (2.5.0

gem_plugin (0.2.3)

i18n (0.4.2)

mongrel (1.1.5 x86-mingw32)

mongrel_service (0.4.0)

mysql (2.8.1 x86-mingw32)

rack (1.1.1)

rails (2.3.11)

rake (0.9.2)

Related issues:

Has duplicate Redmine - Defect #9424: rake/rdoctask is deprecated.  Use rdoc/... Closed 2011-10-14

Has duplicate Redmine - Defect #9561: Redmine - can't install... iritating. p... Closed 2011-11-13

Associated revisions

Revision 7540 - 2011-09-26 20:14 - Etienne Massip

Use prefered syntax for redmine:email:test definition (#8611).

Revision 7541 - 2011-09-27 19:24 - Etienne Massip

Fix deprecated inclusion of RDoc rake tasks (#8611).

Revision 7850 - 2011-11-19 17:03 - Jean-Philippe Lang

Fixed: rake/rdoctask is deprecated (#8611).

History

#1 - 2011-06-15 13:12 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Invalid
Not a redmine issue, just a rake/RoR compatibility warning.

#2 - 2011-06-20 04:12 - Jean-Baptiste Barth

It's more than a compatibility warning I think, some rake tasks don't work for me with rake 0.9.2. I recommend sticking with rake 0.8.7 for now.

#3 - 2011-09-15 15:55 - Anonymous

If you have both versions installed, you can run rake _0.8.7_ db:migrate.

#4 - 2011-09-26 20:06 - Etienne Massip

- Status changed from Closed to Reopened

- Target version set to Candidate for next major release

- Resolution deleted (Invalid)

Actually the syntax is supported at least since Rake 0.8.3, so we could remove this warning.

#5 - 2011-09-26 20:48 - Etienne Massip

Etienne Massip wrote:

Actually the syntax is supported at least since Rake 0.8.3

 Sorry, I was refering to the WARNING part.

#6 - 2011-09-26 20:48 - Etienne Massip

- Target version changed from Candidate for next major release to 1.3.0

#7 - 2011-09-27 19:35 - Etienne Massip

- Resolution set to Fixed

RDoc deprecation fixed.

#8 - 2011-09-27 23:47 - Etienne Massip

- Category set to Gems support

#9 - 2011-09-27 23:55 - Etienne Massip

Backed out r7541 with r7542 since the build failed, needs some new commit after build environment update.

#10 - 2011-10-10 09:00 - Etienne Massip

- Resolution deleted (Fixed)

#11 - 2011-11-19 16:59 - Jean-Philippe Lang

- Status changed from Reopened to Closed

- Resolution set to Fixed

Fix applied with a more friendly way to deal with a missing rdoc gem, considering that 99.9% of users just rake db:migrate and do not need it.

Powered by TCPDF (www.tcpdf.org)

2025-05-02 2/2

https://www.redmine.org/projects/redmine/repository/svn/revisions/7541
https://www.redmine.org/projects/redmine/repository/svn/revisions/7542
http://www.tcpdf.org

